: Class ResultList

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.programs
Class ResultList

    java.lang.Object
      |
      +--org.emboss.jemboss.programs.ResultList

public class ResultList
extends java.lang.Object

Constructor Summary
`ResultList(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings)` Holds the list of stored results
`ResultList(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings, java.lang.String dataset, java.lang.String methodname)` Manipulate a dataset.

Method Summary
`java.util.Enumeration` | `elements()`
`java.lang.Object` | `get(java.lang.Object key)`
`java.lang.String` | `getCurrent()`
`java.lang.String` | `getStatus()` The status of the request
`java.lang.String` | `getStatusMsg()` A status message
`java.util.Hashtable` | `hash()`
`java.util.Enumeration` | `keys()`
`void` | `setCurrent(java.lang.String s)` Save the name of a dataset, marking it as the current dataset
`void` | `updateRes(java.util.Hashtable newres)` Replace the current results hash

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultList

    public ResultList(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings)
               throws JembossSoapException

  Holds the list of stored results
  Parameters:
    `mysettings` - EmbreoParams defining server parameters
  Throws:
    `JembossSoapException` - If authentication fails

### ResultList

    public ResultList(uk.ac.mrc.hgmp.embreo.EmbreoParams mysettings,
                      java.lang.String dataset,
                      java.lang.String methodname)
               throws JembossSoapException

  Manipulate a dataset.
  Parameters:
    `mysettings` - EmbreoParams defining server parameters
    `dataset` - Which dataset to manipulate
    `methodname` - What method to invoke on this dataset

Method Detail

### getStatus

    public java.lang.String getStatus()

  The status of the request
  Returns:
    String 0 for success, anything else for failure

### getStatusMsg

    public java.lang.String getStatusMsg()

  A status message
  Returns:
    A string containing a status message. In the case of an error, contains a description of the error.

### hash

    public java.util.Hashtable hash()

  Returns:
    Hashtable of the results

### elements

    public java.util.Enumeration elements()

  Returns:
    Enumeration of the elements of the results Hashtable

### keys

    public java.util.Enumeration keys()

  Returns:
    Enumeration of the keys of the results Hashtable

### get

    public java.lang.Object get(java.lang.Object key)

  Parameters:
    `Object` - key of the element to return

### getCurrent

    public java.lang.String getCurrent()

  Returns:
    String of the current dataset being looked at

### setCurrent

    public void setCurrent(java.lang.String s)

  Save the name of a dataset, marking it as the current dataset
  Parameters:
    `s` - The name of the dataset

### updateRes

    public void updateRes(java.util.Hashtable newres)

  Replace the current results hash
  Parameters:
    `newres` - The new results hash

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD